Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.json
Class JSONMap

    java.lang.Object
      java.util.AbstractMap
          org.richfaces.json.JSONMap

All Implemented Interfaces:
  Serializable, Map

    public class JSONMap

extends AbstractMap
implements Serializable

Author:
  Nick Belaevski - nbelaevski@exadel.com created 15.12.2006
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`JSONMap()`
`JSONMap(JSONObject object)`
`JSONMap(String jsonString)`

Method Summary
`Set` | `entrySet()`
`String` | `getString()`
`String` | `getString(int indentFactor)`
`Object` | `put(Object key, Object value)`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, equals, get, hashCode, isEmpty, keySet, putAll, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JSONMap

    public JSONMap()
            throws JSONException

Throws:
  `JSONException`

### JSONMap

    public JSONMap(JSONObject object)

### JSONMap

    public JSONMap(String jsonString)
            throws JSONException

Throws:
  `JSONException`

Method Detail

### entrySet

    public Set entrySet()

  Specified by:
    `entrySet` in interface `Map`
  Specified by:
    `entrySet` in class `AbstractMap`

### put

    public Object put(Object key,
                      Object value)

  Specified by:
    `put` in interface `Map`
  Overrides:
    `put` in class `AbstractMap`

### getString

    public String getString()
                     throws JSONException

  Throws:
    `JSONException`

### getString

    public String getString(int indentFactor)
                     throws JSONException

  Throws:
    `JSONException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.